<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>

    <title>Document</title>
</head>
<body>
    <div id="app">
        <input type="text" v-focus>
    </div>
    <script>
    new Vue({
        el:'#app',
        data:{

        },
        directives:{
            focus:{
                inserted: function(el){
                    el.focus();
                }
            }
        }
    })
    </script>
</body>
</html>